<div class="btn-group btn-group-sm">
  <ng-container *ngIf="loginService.isLawyer && this.request.status == statuses.InReview">
    <button
      type="button"
      class="btn btn-success"
      (click)="acceptRequestLawyer()"
    >
      <i class="fa fa-check mr-1"></i>{{ 'request.accept' | translate }}
    </button>
    <button
      type="button"
      class="btn btn-danger"
      (click)="declineRequest()"
    >
      <i class="fa fa-ban mr-1"></i>{{ 'request.decline' | translate }}
    </button>
  </ng-container>

  <ng-container *ngIf="loginService.isLawyer && this.request.status == statuses.InWorkLawyer">
    <button
      type="button"
      class="btn btn-success"
      (click)="call()"
    >
      <i class="fa fa-phone mr-1"></i>{{ 'request.call' | translate }}
    </button>
  </ng-container>

  <ng-container *ngIf="loginService.isUser && this.request.status == statuses.InWorkUser">
    <button
      type="button"
      class="btn btn-success"
      (click)="declineRequest()"
    >
      <i class="fa fa-check mr-1"></i>{{ 'request.declinedUser' | translate }}
    </button>
  </ng-container>
</div>

